Discussion:
[Bug 1767445] [NEW] Incorrect metadata shown for snaps
(too old to reply)
Adam Collard
2018-04-27 16:54:05 UTC
Permalink
Public bug reported:

Ubuntu Software, when showing metadata about a snap package, is most of
the time, likely to get information which is misleading, since it shows
info from the *most recently* uploaded snap, regardless of which channel
the snap was uploaded to.

An example of this is to search for blender, and see that the version
shows the edge channel - 2.80-4de142e0b7b and not the stable channel -
2.79.

After actually installing the application, the correct metadata is
shown.

See https://forum.snapcraft.io/t/unexpected-revision-information-
exposed-in-some-situations/5163 for more details.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: gnome-software-plugin-snap 3.28.1-0ubuntu4
ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
Uname: Linux 4.15.0-15-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Apr 27 17:33:07 2018
InstallationDate: Installed on 2015-07-04 (1028 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
InstalledPlugins:
gnome-software-plugin-flatpak N/A
gnome-software-plugin-limba N/A
gnome-software-plugin-snap 3.28.1-0ubuntu4
SourcePackage: gnome-software
UpgradeStatus: Upgraded to bionic on 2018-03-15 (43 days ago)

** Affects: gnome-software (Ubuntu)
Importance: Undecided
Status: New


** Tags: amd64 apport-bug bionic
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Incorrect metadata shown for snaps

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
htt
Adam Collard
2018-04-27 17:16:01 UTC
Permalink
** Also affects: snapstore
Importance: Undecided
Status: New

** Also affects: snapd-glib (Ubuntu)
Importance: Undecided
Status: New
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Incorrect metadata shown for snaps

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapstore/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-
Robert Ancell
2018-05-02 22:53:31 UTC
Permalink
Removing snapd-glib as that just reflects whatever snapd tells it.
Adding snapd as it gets to decide what this field contains.

** No longer affects: snapd-glib (Ubuntu)

** Also affects: snapd
Importance: Undecided
Status: New
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Incorrect metadata shown for snaps

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu.com/
Robert Ancell
2018-05-03 00:10:46 UTC
Permalink
Is there any other data apart from the version?
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Incorrect metadata shown for snaps

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ub
Robert Ancell
2018-05-03 00:16:31 UTC
Permalink
** Also affects: gnome-software (Ubuntu Cosmic)
Importance: Undecided
Status: New

** Also affects: gnome-software (Ubuntu Xenial)
Importance: Undecided
Status: New

** Also affects: gnome-software (Ubuntu Bionic)
Importance: Undecided
Status: New

** Changed in: gnome-software (Ubuntu Bionic)
Importance: Undecided => Medium

** Changed in: gnome-software (Ubuntu Cosmic)
Importance: Undecided => Medium

** Changed in: gnome-software (Ubuntu Xenial)
Status: New => Triaged

** Changed in: gnome-software (Ubuntu Bionic)
Status: New => Triaged

** Changed in: gnome-software (Ubuntu Cosmic)
Status: New => Triaged

** Changed in: gnome-software (Ubuntu Xenial)
Importance: Undecided => Medium
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Uninstalled snaps show most recent channel version, not version to be
installed by default

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu
Launchpad Bug Tracker
2018-05-03 00:20:56 UTC
Permalink
** Branch linked: lp:~ubuntu-desktop/gnome-software/ubuntu

** Branch linked: lp:~ubuntu-desktop/gnome-software/ubuntu-bionic
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Uninstalled snaps show most recent channel version, not version to be
installed by default

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu.c
Robert Ancell
2018-05-03 00:24:08 UTC
Permalink
** Changed in: gnome-software (Ubuntu Bionic)
Status: Triaged => Fix Committed

** Summary changed:

- Incorrect metadata shown for snaps
+ Uninstalled snaps show most recent channel version, not version to be installed by default

** Changed in: gnome-software (Ubuntu Xenial)
Status: Triaged => Fix Committed
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Uninstalled snaps show most recent channel version, not version to be
installed by default

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bu
Launchpad Bug Tracker
2018-05-03 00:33:15 UTC
Permalink
** Branch linked: lp:~ubuntu-desktop/gnome-software/ubuntu-xenial
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Uninstalled snaps show most recent channel version, not version to be
installed by default

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu.com/
Robert Ancell
2018-05-03 00:33:43 UTC
Permalink
** Changed in: gnome-software (Ubuntu Cosmic)
Status: Triaged => Fix Committed
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Uninstalled snaps show most recent channel version, not version to be
installed by default

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https
Launchpad Bug Tracker
2018-05-04 15:52:53 UTC
Permalink
This bug was fixed in the package gnome-software - 3.28.1-0ubuntu5

---------------
gnome-software (3.28.1-0ubuntu5) cosmic; urgency=medium

* debian/patches/0011-Support-snap-channels.patch:
- Fix incorrect default install version being shown (LP: #1767445)

-- Robert Ancell <***@canonical.com> Thu, 03 May 2018
12:33:30 +1200

** Changed in: gnome-software (Ubuntu Cosmic)
Status: Fix Committed => Fix Released
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Uninstalled snaps show most recent channel version, not version to be
installed by default

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bu
Łukasz Zemczak
2018-05-14 18:20:26 UTC
Permalink
Can this bug be updated to include the SRU relevant information?
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Uninstalled snaps show most recent channel version, not version to be
installed by default

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu.com/m
Robert Ancell
2018-05-14 20:41:51 UTC
Permalink
** Description changed:

+ [Impact]
+ GNOME Software can show incorrect version of snap that will be installed on details page.
+
+ [Test Case]
+ 1. Open GNOME Software
+ 2. Select blender snap (tried 28-04-2018, may change if store versions are changed)
+
+ Expected result:
+ Version label shows version to be installed (stable channel by default)
+
+ Observed result:
+ Version label shows most recently uploaded version, i.e. from the edge channel. This is not the version that will be installed when clicking install.
+
+ [Regression Potential]
+ The logic around choosing which version value to show was changed. Could create other bugs with this data.
+
+ Orignial text:
+
Ubuntu Software, when showing metadata about a snap package, is most of
the time, likely to get information which is misleading, since it shows
info from the *most recently* uploaded snap, regardless of which channel
the snap was uploaded to.

An example of this is to search for blender, and see that the version
shows the edge channel - 2.80-4de142e0b7b and not the stable channel -
2.79.

After actually installing the application, the correct metadata is
shown.

See https://forum.snapcraft.io/t/unexpected-revision-information-
exposed-in-some-situations/5163 for more details.
-
- ProblemType: Bug
- DistroRelease: Ubuntu 18.04
- Package: gnome-software-plugin-snap 3.28.1-0ubuntu4
- ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
- Uname: Linux 4.15.0-15-generic x86_64
- NonfreeKernelModules: nvidia_modeset nvidia
- ApportVersion: 2.20.9-0ubuntu7
- Architecture: amd64
- CurrentDesktop: ubuntu:GNOME
- Date: Fri Apr 27 17:33:07 2018
- InstallationDate: Installed on 2015-07-04 (1028 days ago)
- InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
- InstalledPlugins:
- gnome-software-plugin-flatpak N/A
- gnome-software-plugin-limba N/A
- gnome-software-plugin-snap 3.28.1-0ubuntu4
- SourcePackage: gnome-software
- UpgradeStatus: Upgraded to bionic on 2018-03-15 (43 days ago)

** Description changed:

[Impact]
GNOME Software can show incorrect version of snap that will be installed on details page.

[Test Case]
- 1. Open GNOME Software
+ 1. Open GNOME Software. Ensure blender snap is not installed.
2. Select blender snap (tried 28-04-2018, may change if store versions are changed)

Expected result:
Version label shows version to be installed (stable channel by default)

Observed result:
Version label shows most recently uploaded version, i.e. from the edge channel. This is not the version that will be installed when clicking install.

[Regression Potential]
The logic around choosing which version value to show was changed. Could create other bugs with this data.

Orignial text:

Ubuntu Software, when showing metadata about a snap package, is most of
the time, likely to get information which is misleading, since it shows
info from the *most recently* uploaded snap, regardless of which channel
the snap was uploaded to.

An example of this is to search for blender, and see that the version
shows the edge channel - 2.80-4de142e0b7b and not the stable channel -
2.79.

After actually installing the application, the correct metadata is
shown.

See https://forum.snapcraft.io/t/unexpected-revision-information-
exposed-in-some-situations/5163 for more details.
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Uninstalled snaps show most recent channel version, not version to be
installed by default

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-
Brian Murray
2018-05-17 20:39:10 UTC
Permalink
Hello Adam, or anyone else affected,

Accepted gnome-software into xenial-proposed. The package will build now
and be available at https://launchpad.net/ubuntu/+source/gnome-
software/3.20.5-0ubuntu0.16.04.11 in a few hours, and then in the
-proposed repository.

Please help us by testing this new package. See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-xenial to verification-done-xenial. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-xenial. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
advance!

** Tags added: verification-needed-xenial
--
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767445

Title:
Uninstalled snaps show most recent channel version, not version to be
installed by default

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1767445/+subscriptions
--
ubuntu-bugs mailing list
ubuntu-***@lists.ubuntu.com
https://lists.ubuntu.com/mailm
Loading...